cosine_distance {textTinyR} | R Documentation

## cosine distance of two character strings (each string consists of more than one words)

### Description

cosine distance of two character strings (each string consists of more than one words)

### Usage

    cosine_distance(sentence1, sentence2, split_separator = " ")

### Arguments

`sentence1` | a character string consisting of multiple words
`sentence2` | a character string consisting of multiple words
`split_separator` | a character string specifying the delimiter(s) to split the sentence

### Value

a float number

### Examples

    library(textTinyR)

    sentence1 = 'this is one sentence'

    sentence2 = 'this is a similar sentence'

    cds = cosine_distance(sentence1, sentence2)

[Package textTinyR version 1.1.3 Index]